[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [PATCH] svn: enforce exact version match

From: Branko Čibej <brane_at_wandisco.com>
Date: Thu, 11 Jul 2013 01:30:37 +0200

On 11.07.2013 01:22, Daniel Shahaf wrote:
> We decided a while ago that the cmdline client and all C libraries must
> be upgraded in lockstep.[1] However, a Subversion 1.7.10 client out
> there happily uses 1.7.9 libraries that happened to be lying in the
> runtime linker's search path.

Did we? I thought we'd decided on lockstep for libraries, and for
direct-access tools such as svnadmin and svnlook. Don't recall requiring
the same for the client. On the other hand ... the client does use
private APIs.

-- Brane

-- 
Branko Čibej | Director of Subversion
WANdisco // Non-Stop Data
e. brane_at_wandisco.com
Received on 2013-07-11 01:31:15 CEST

This is an archived mail posted to the Subversion Dev mailing list.